package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.ObjEngHaza;

/**
 * 危险性较大工程对象表 服务层
 */
public interface IObjEngHazaService {

    /**
     * 查询危险性较大工程对象表信息
     * @param guid 查询条件
     * @return 危险性较大工程对象表信息
     */
    ObjEngHaza selectObjEngHazaByGuid(String guid);

    /**
     * 查询危险性较大工程对象表列表
     * @param objEngHaza 危险性较大工程对象表查询条件
     * @return 危险性较大工程对象表集合
     */
    List<ObjEngHaza> selectObjEngHazaList(ObjEngHaza objEngHaza);

    /**
     * 新增危险性较大工程对象表
     * @param objEngHaza 危险性较大工程对象表信息
     * @return 影响行数
     */
    int insertObjEngHaza(ObjEngHaza objEngHaza);

    /**
     * 修改危险性较大工程对象表
     * @param objEngHaza 危险性较大工程对象表信息
     * @return 影响行数
     */
    int updateObjEngHaza(ObjEngHaza objEngHaza);

    /**
     * 删除危险性较大工程对象表
     * @param guid 危险性较大工程对象表主键
     * @return 影响行数
     */
    int deleteObjEngHazaByGuid(String guid);

    /**
     * 批量删除危险性较大工程对象表
     * @param guids 危险性较大工程对象表主键数组
     * @return 影响行数
     */
    int deleteObjEngHazaByGuids(String[] guids);
}
